Bug 496975 - gnome-power-manager: "Cannot get laptop panel brightness"
gnome-power-manager: "Cannot get laptop panel brightness"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 17:22 EDT by Andrew McNabb
Modified: 2011-10-05 19:58 EDT (History)
13 users (show)

See Also:
Fixed In Version: kernel-2.6.40.6-0.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-05 19:58:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from gnome-power-bugreport.sh (2.25 KB, text/plain)
2009-04-22 10:37 EDT, Andrew McNabb
no flags Details
output of gnome-power-bugreport.sh (3.88 KB, text/plain)
2010-06-25 12:26 EDT, William Bader
no flags Details
Tarball of relevant logs (4.38 KB, application/x-compressed-tar)
2011-04-02 21:44 EDT, Nick Steeves
no flags Details

  None (edit)
Description Andrew McNabb 2009-04-21 17:22:52 EDT
I just did a fresh Rawhide install (post Fedora 11 Beta) on a machine that used to have Fedora 10.  Unfortunately, the brightness keys no longer work, and the slider in the brightness applet no longer works.  If I hover the mouse over the applet icon, it has a balloon popup that says, "Cannot get laptop panel brightness".

The computer is a Samsung NC10 netbook with an Intel graphics card.  Please let me know if there is any other information I can provide.  Thanks.
Comment 1 Richard Hughes 2009-04-22 05:13:42 EDT
(In reply to comment #0)
> Please let me know if there is any other information I can provide.

The output of gnome-power-bugreport.sh and xbacklight please. Thanks.
Comment 2 Andrew McNabb 2009-04-22 10:37:53 EDT
Created attachment 340751 [details]
output from gnome-power-bugreport.sh
Comment 3 Andrew McNabb 2009-04-22 10:39:26 EDT
xbacklight reported "No outputs have backlight property".
Comment 4 Richard Hughes 2009-04-22 10:47:58 EDT
Right, so neither HAL or X show a backlight device. GNOME Power Manager just can't do anything in this case. Do you have any /sys/class/backlight entries?
Comment 5 Andrew McNabb 2009-04-22 11:07:09 EDT
Nope.  The directory is empty.  I suppose that means this is a kernel issue, right?
Comment 6 Andrew McNabb 2009-04-24 09:45:08 EDT
Should this bug be reassigned to a different component?  Since there are no /sys/class/backlight entries, it doesn't appear to be a problem with gnome-power-manager.
Comment 7 Matthias Clasen 2009-04-24 23:13:51 EDT
Moving this to the kernel side
Comment 8 Norbert Fabritius 2009-05-06 20:40:35 EDT
Same here. I'm using the Samsung NC10 with newest BIOS update (v.07CA). Worked fine with Fedora 10.
Comment 9 Luca Botti 2009-05-08 18:49:07 EDT
Same for me - no more control with latest kernel. History is - installed from preview live cd with usb key, all working (not tried the applet, though). In latest updates no more backlight adjustment (also the fn+cursor keys do not work). Always the samsung nc10
Comment 10 Oliver Clark 2009-05-09 06:13:32 EDT
Just another me too.

The brightness control never worked for me with Fedora 11, I installed from the i386 Preview Release install DVD via an optical drive. Both the brightness applet and fn + up/down have not worked with the kernel that came with the DVD (2.6.29.1-102.fc11.i686.PAE) or the latest (2.6.29.2-126.fc11.i686.PAE).

As with the others this is a Samsung NC10 running BIOS version 07CA. Fedora 10 can control the backlight correctly.
Comment 11 Christian Herzog 2009-05-31 05:38:25 EDT
same here.
Comment 12 Bug Zapper 2009-06-09 10:21:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jurgen Kramer 2009-06-14 06:19:12 EDT
When I add the 'nomodeset vga=0x315' to my boot parameters (or to grub.conf) I can change my backlight again with the Fn and cursor up and down keys.

Kernel: 2.6.29.4-167.fc11.i686.PAE
Laptop: Samsung NC10

NB While backlight is now changeable again when booting with nomodeset,  /sys/class/backlight is still empty and all /proc/acpi/video/GFX0/DD0?/brightness entries still show <not supported>.
Comment 14 Frank Schmitt 2009-06-15 05:06:16 EDT
I've got the same problem on my NC10, it worked on F10 and broke after upgrade to F11.
Comment 15 Norbert Fabritius 2009-06-21 18:15:50 EDT
Some workarounds are described here: http://fedoraforum.org/forum/showthread.php?p=1226482
Comment 16 Oliver Clark 2009-10-23 11:50:42 EDT
The backlight control should now work with kernel mode setting once you have updated to the latest BIOS release version 11CA.
Comment 17 Andrew McNabb 2009-10-23 13:19:10 EDT
Oliver, that's a good workaround and I'll definitely do it.  Unfortunately, it doesn't really fix the bug because things used to work with older BIOS releases.

Thanks for the tip.
Comment 18 collura 2009-10-23 13:21:00 EDT
i have up to date bios on toshiba L355D-S7901 and it doenst work for me either.  worked fine with f10 but fails now with f11.
Comment 19 collura 2009-10-23 13:50:56 EDT
correction to comment-18.  comments were more for 
https://bugzilla.redhat.com/show_bug.cgi?id=524090
https://bugzilla.redhat.com/show_bug.cgi?id=500936

for me the slider worked but not well:
where slider changes brightness but forgets its settings after reboot.
Comment 20 Bug Zapper 2010-04-27 09:51:53 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 collura 2010-04-27 12:54:03 EDT
please change this to fc12 as it STILL doesnt work.

kernel-2.6.32.11-99.fc12 (x86_64)
 
(yes this bug line is originally classified i386)
Comment 22 William Bader 2010-06-25 12:26:17 EDT
Created attachment 426925 [details]
output of gnome-power-bugreport.sh

Fedora 13 with kernel 2.6.33.5-124.fc13.i686.PAE, g-p-m 2.30.1 and hal 0.5.14 gives me this error.  I have a Lenovo T61p laptop with the nouveau driver.  The video card is a "NVIDIA GPU Quadro FX 570M (G84GL) at PCI:1:0:0 (GPU-0)".  When I open the gnome panel brightness applet, the slider sticks at 100%, and when it closes, the applet shows a red circle with a slash and says "Cannot get laptop panel brightness".  I just switched from Fedora 8, and it was working under Fedora 8 with nvidia's driver.
If I right-click on the applet and open the About window, and then left-click on the applet, the slider works temporarily while the About window is open.
I also can change the brightness at a command line with "echo # > /sys/devices/virtual/backlight/acpi_video0/brightness" (where # is 0 to 15).
William
williambader@hotmail.com
Comment 23 collura 2010-10-07 01:41:42 EDT
woot.  looking like fedora core 14 beta (kde and gnome) find and correctly remember the brightness as set from system-power_management menu item to access the gnome-power-manager.  

(though i haven't tried the gnome-panel applet brightness control)

thanks for the fix.
Comment 24 Bug Zapper 2010-11-04 07:19:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Andrew McNabb 2010-11-04 14:40:05 EDT
Still doesn't work in F13, but I haven't tried F14 yet.
Comment 26 Nick Steeves 2011-04-02 21:40:25 EDT
This is an update for the status of samsung-backlight in F15.  I'm using Fuduntu, which is, unless I am mistaken, the F15 kernel built for F14.

The way I usually make the backlight of my Samsung n150 work, is by compiling and installing the samsung_backlight kernel module.  I'm not sure where I originally found it, but it's GPL:
* Copyright (C) 2009 Greg Kroah-Hartman (gregkh@suse.de)
* Copyright (C) 2009 Novell Inc.
* Modified 2010 Kobelkov Sergey (sergeyko81@gmail.com)

The trouble is, whatever mechanism xbacklight and GPM use causes the screen to wildly blink whenever they try to change the backlight value.

I've heard rumours that samsung_backlight.c-related code is being worked on for including into linux-2.6.39, as a platform driver.  Would it be possible to work out the issues in the current code and/or get the 2.6.39 platform driver into a state which is suitable for backporting to F15?

Thanks!
Comment 27 Nick Steeves 2011-04-02 21:44:16 EDT
Created attachment 489622 [details]
Tarball of relevant logs

Tarball of relevant logs with and without samsung_backlight.ko loaded.  Dmesg didn't provide any clues.  Xorg.0.log reported

(EE) intel(0): failed to open /sys/class/backlight/samsung/actual_brightness for backlight control: No such file or directory

when the module is not loaded.
Comment 28 Nick Steeves 2011-04-25 06:46:04 EDT
Confirmed to still not work with F15 Beta1 Live Desktop. Linux-2.6.38.2-9.fc15.i686.  I have build the out-of-tree samsung-backlight module against this kernel.  Expected behaviour is:  Backlight changes.  Observed behavior is: OSD shows that the key-presses are being correctly registered; however, the backlight remains constant.  The backlight on this Samsung n150 cannot be controlled through ACPI.  It can be changed with setpci, or with the samsung-backlight module, which also (I assume) pokes PCI device 00:02.0 directly.  Linux-2.6.38.2 still does not support this.
Comment 29 Josh Boyer 2011-09-27 13:30:50 EDT
The NC10 support was added in the 2.6.39 kernel and should be included in the latest 2.6.40 F15 updates (commit 2d70b73a)

The n150 support was fixed in the 3.1 kernel and is likely to be present in the upcoming F16 Beta (commit 78a7539b)
Comment 30 Josh Boyer 2011-09-27 13:52:50 EDT
I've started a scratch build of an F15 kernel with commit 78a7539b backported.  Those of you with Samsung NC10 and n150 machines, please test when you get a chance (and it finishes building):

http://koji.fedoraproject.org/koji/taskinfo?taskID=3382450
Comment 31 Christian Herzog 2011-09-28 14:27:03 EDT
using this kernel, I can confirm that the brightness shortcut keys are now working on the NC10. Good job.

thanks,
-Christian


(In reply to comment #30)
> I've started a scratch build of an F15 kernel with commit 78a7539b backported. 
> Those of you with Samsung NC10 and n150 machines, please test when you get a
> chance (and it finishes building):
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=3382450
Comment 32 Josh Boyer 2011-09-28 16:13:55 EDT
Thank you for testing.  I've committed the patch to the Fedora git repo and it will be included in the next kernel build.
Comment 33 Fedora Update System 2011-10-04 10:14:10 EDT
kernel-2.6.40.6-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.6-0.fc15
Comment 34 Fedora Update System 2011-10-04 23:58:43 EDT
Package kernel-2.6.40.6-0.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.6-0.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40.6-0.fc15
then log in and leave karma (feedback).
Comment 35 Fedora Update System 2011-10-05 19:58:29 EDT
kernel-2.6.40.6-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.